Bug 25151 - Accessibility: The 'Your cart' page does not contain a level-one header
Summary: Accessibility: The 'Your cart' page does not contain a level-one header
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Hayley Mapley
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 25150
  Show dependency treegraph
 
Reported: 2020-04-15 09:21 UTC by Martin Renvoize
Modified: 2020-07-26 14:39 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02, 19.11.08, 19.05.14


Attachments
Bug 25151: Fixing semantic headings in opac-basket.tt (2.74 KB, patch)
2020-06-10 23:52 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 25151: Fixing semantic headings in opac-basket.tt (2.80 KB, patch)
2020-06-11 14:54 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 25151: Fixing semantic headings in opac-basket.tt (2.86 KB, patch)
2020-06-21 14:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-04-15 09:21:54 UTC
Library Catalogue - OPAC

1/ Add items to your folder
2/ Once you have added some books, click on the 'Folder' at top of page to view
selections.
3/ The ‘Your folder’ page does not contain a level-one heading. This means that users may not
be able to accurately determine the structure of content on the page.

Current Code:
<h2>Your folder</h2>

Solution:
Ensure that all pages contain a heading level 1 to introduce the main content of the page
followed by a logical hierarchy of subsequent headings. For example:

<h1>Main heading</h1>
  <h2>Sub-heading of h1</h2>
  <h2>Sub-heading of h1</h2>
    <h3>Sub-heading of h2</h3>
  <h2>Sub-heading of h1</h2>
    <h3>Sub-heading of h2</h3>
      <h4>Sub-heading of h3</h4>
  <h2>Sub-heading of h1</h2>
  <h2>Sub-heading of h1</h2>
Comment 1 Hayley Mapley 2020-06-10 22:54:32 UTC
Hi Martin,

Could you please clarify where I can find the 'Your folder' page?
I thought maybe you meant Lists, but that page has correct headings.
Comment 2 Hayley Mapley 2020-06-10 22:57:33 UTC
Ah it's en-GB for the cart!
Got it.
Comment 3 Hayley Mapley 2020-06-10 23:52:49 UTC
Created attachment 105719 [details] [review]
Bug 25151: Fixing semantic headings in opac-basket.tt

Test plan:
1) Apply the patch
2) Add items to your cart/folder/basket
3) Open up the basket and check that the main heading is now an h1
4) Check that the page looks fine
Comment 4 Martin Renvoize 2020-06-11 06:58:30 UTC
Thanks for jumping on this Hayley.. sorry it wasn't as clear as it should have been.. I'm working through a massive report and missed the translation in this case.

Testing now for SO :).
Comment 5 Martin Renvoize 2020-06-11 07:13:34 UTC
Hmm.. well this certainly improves the situation for screen readers and is exactly what I asked for.. but it seems to highlight some slightly odd css rules.. though at the moment I'm struggling to track down which ones are causing it.  The 'h2' seems to appear larger than the 'h1' on the page.. which feel semantically incorrect visually.
Comment 6 PTFS Europe Sandboxes 2020-06-11 14:54:09 UTC
Created attachment 105766 [details] [review]
Bug 25151: Fixing semantic headings in opac-basket.tt

Test plan:
1) Apply the patch
2) Add items to your cart/folder/basket
3) Open up the basket and check that the main heading is now an h1
4) Check that the page looks fine

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 7 Katrin Fischer 2020-06-21 14:17:55 UTC
Created attachment 106118 [details] [review]
Bug 25151: Fixing semantic headings in opac-basket.tt

Test plan:
1) Apply the patch
2) Add items to your cart/folder/basket
3) Open up the basket and check that the main heading is now an h1
4) Check that the page looks fine

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2020-06-24 13:31:56 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-07-10 17:27:07 UTC
backported to 20.05.x for 20.05.02
Comment 10 Aleisha Amohia 2020-07-13 03:35:56 UTC
backported to 19.11.x for 19.11.08
Comment 11 Victor Grousset/tuxayo 2020-07-26 14:39:03 UTC
Backported to 19.05.x branch for 19.05.14